"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// import css
require("../../../css/sheet-tab.css");
/*
    Displays a set of actions one can perform on a sheet tab, including
    deleting, duplicating, or renaming.
*/
function SheetTabActions(props) {
    const onDelete = () => {
        var _a;
        (_a = window.logger) === null || _a === void 0 ? void 0 : _a.track({
            userId: window.user_id,
            event: 'dataframe_delete_log_event',
            properties: {
                sheet_index: props.sheetIndex,
                old_dataframe_name: props.dfName
            }
        });
        props.send({
            'event': 'edit_event',
            'type': 'dataframe_delete_edit',
            'sheet_index': props.sheetIndex,
        });
        props.setDisplayActions(false);
    };
    const onDuplicate = () => {
        var _a;
        (_a = window.logger) === null || _a === void 0 ? void 0 : _a.track({
            userId: window.user_id,
            event: 'dataframe_duplicate_log_event',
            properties: {
                sheet_index: props.sheetIndex,
                old_dataframe_name: props.dfName
            }
        });
        props.send({
            'event': 'edit_event',
            'type': 'dataframe_duplicate_edit',
            'sheet_index': props.sheetIndex,
        });
        props.setDisplayActions(false);
    };
    /* Rename helper, which requires changes to the sheet tab itself */
    const onRename = () => {
        props.setDisplayActions(false);
        props.setIsRename(true);
    };
    return (react_1.default.createElement("div", { className: 'sheet-tab-actions-dropdown', style: { left: props.getLeftShift() } },
        react_1.default.createElement("div", { className: 'sheet-tab-action', onClick: onDelete }, "Delete"),
        react_1.default.createElement("div", { className: 'sheet-tab-action', onClick: onDuplicate }, "Duplicate"),
        react_1.default.createElement("div", { className: 'sheet-tab-action', onClick: onRename }, "Rename")));
}
exports.default = SheetTabActions;
//# sourceMappingURL=SheetTabActions.js.map